Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.util
Class TabbedFileReader

    java.lang.Object
      org.crosswire.common.util.TabbedFileReader

    public class TabbedFileReader

extends Object

A TabbedFileReader reads a file consisting of lines with tab separated columns.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: TabbedFileReader.java,v 1.3 2004/11/28 21:36:31 joe Exp $
Author:
  DM Smith [ dmsmith555 at yahoo dot com]
See Also:
  `Licence`

Constructor Summary
`private` | `TabbedFileReader()` This is a utility class, so it should not be constructed.

Method Summary
`static void` | `read(String fileName, int columns, RowProcessor lp)` Process all the lines in the file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabbedFileReader

    private TabbedFileReader()

  This is a utility class, so it should not be constructed.

Method Detail

### read

    public static void read(String fileName,
                            int columns,
                            RowProcessor lp)
                     throws IOException

  Process all the lines in the file.

  Parameters:
    `fileName` - java.lang.String
    `columns` - int
    `lp` - lineProcessor
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD